Linux安装最新版git

Linux 同时被 3 个专栏收录
5 篇文章 0 订阅
11 篇文章 0 订阅
6 篇文章 0 订阅
    本文旨在讲述如何在linux上安装最新版的git。
1、查看当前git版本:git --version
查看最新版git:访问 https://www.kernel.org/pub/software/scm/git/
2、官网 下载
(建议本机迅雷下载rz到服务器,安装yum install lrzsz后rz即可)
解压:tar -zxvf git-2.11.0.tar.gz
3、cd git-2.11.0
4、移除旧版本git:yum remove git
5、make configure
如果报错/bin/sh: autoconf: command not found:
安装libtool即可:yum install install autoconf automake libtool
正常会打印:GEN configure
执行
6、./configure --prefix=/usr/local/git --with-iconv =/usr/local/lib(建议优先尝试后者)
或者
./configure --prefix=/usr/local/git --with-iconv --with-curl --with-expat=/usr/local/lib(如果没有安装libiconv请自行安装)
make && make install
①如果报错:cache.h:40:18: fatal error: zlib.h: No such file or directory
安装zlib:yum install zlib、yum install zlib-devel
②如果报错:make[1]: *** [perl.mak] Error 2
安装:yum install perl-ExtUtils-MakeMaker package

7、echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/bashrc
8、source /etc/bashrc
9、git --version

编译git时报错: zlib.h: No such file or directory
    缺少 zlib的头文件, 开发包没装,
    yum install zlib (系统默认已经装上)
    yum install zlib-devel 

git clone时候提示fatal: Unable to find remote helper for 'https'
yum install libcurl-devel
然后按照上诉步骤重新安装编译git即可

欢迎个人转载,但须在文章页面明显位置给出原文连接;
未经作者同意必须保留此段声明、不得随意修改原文、不得用于商业用途,否则保留追究法律责任的权利。

【 CSDN 】:csdn.zxiaofan.com
【GitHub】:github.zxiaofan.com

如有任何问题,欢迎留言。祝君好运!
Life is all about choices! 
将来的你一定会感激现在拼命的自己!

  • 1
    点赞
  • 5
    评论
  • 4
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

相关推荐
©️2020 CSDN 皮肤主题: 程序猿惹谁了 设计师:白松林 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值